Bug Hunting Session
Bug 125980 - Cannot select and copy text of protected cells via Formula Bar input line
Summary: Cannot select and copy text of protected cells via Formula Bar input line
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks:
 
Reported: 2019-06-18 09:16 UTC by david.cortes.rivera
Modified: 2019-07-02 10:48 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file (9.20 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-06-18 12:00 UTC, m.a.riosv
Details
cannot_select (84.12 KB, image/gif)
2019-06-18 12:20 UTC, david.cortes.rivera
Details
another test file (8.77 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-06-25 14:22 UTC, Jacques Guilleron
Details

Note You need to log in before you can comment on or make changes to this bug.
Description david.cortes.rivera 2019-06-18 09:16:32 UTC
Steps to reproduce:
- Fill in some cells.
- Set the sheet to password protected.
- Save and close the document.
- Open document again.
- Click one of the filled cells in the password-protected sheet.
- Click the formula bar and try to select text from it.

Expected behavior: should allow selecting text from there in order to copy it, without having to copy the whole cell along.

Actual behavior: does not allow selection within the formula bar.
Comment 1 m.a.riosv 2019-06-18 12:00:00 UTC Comment hidden (obsolete)
Comment 2 m.a.riosv 2019-06-18 12:00:21 UTC
Created attachment 152269 [details]
Test file
Comment 3 m.a.riosv 2019-06-18 12:01:59 UTC
Ok I see, it's possible with edit mode disable.
Comment 4 david.cortes.rivera 2019-06-18 12:20:39 UTC
Created attachment 152270 [details]
cannot_select

Added a screen capture showing how it looks when I try to select a cell in the attached file.
Comment 5 Xisco Faulí 2019-06-18 12:30:16 UTC Comment hidden (obsolete)
Comment 6 david.cortes.rivera 2019-06-18 12:33:12 UTC Comment hidden (obsolete)
Comment 7 Xisco Faulí 2019-06-18 12:34:58 UTC Comment hidden (obsolete)
Comment 8 david.cortes.rivera 2019-06-19 07:34:09 UTC Comment hidden (obsolete)
Comment 9 Durgapriyanka 2019-06-20 16:17:42 UTC
I can reproduce this bug in 

Version: 6.3.0.0.alpha0+
Build ID: b6b28931435e44aca92b8c0e1659f701e3ed1a87
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-01-30_06:57:04
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

and in

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 10 Jacques Guilleron 2019-06-25 14:22:12 UTC
Created attachment 152398 [details]
another test file
Comment 11 Jacques Guilleron 2019-06-25 16:07:44 UTC
Hi David,

Password for "another test file" is "aaa".
Default for cell(s) is "protected", as you can see it by selecting 
Format > Cells > Cell Protection, in a unprotected sheet.
If you can select one cell or the cells range B3:B6, copy and paste them in a new sheet, there is no bug. This is the only selection available. You cannot change the cell content, nor therefore select the input line, in a protected sheet, when cells are also protected.

Jacques
Comment 12 david.cortes.rivera 2019-06-25 17:00:30 UTC
(In reply to Jacques Guilleron from comment #11)
> Hi David,
> 
> Password for "another test file" is "aaa".
> Default for cell(s) is "protected", as you can see it by selecting 
> Format > Cells > Cell Protection, in a unprotected sheet.
> If you can select one cell or the cells range B3:B6, copy and paste them in
> a new sheet, there is no bug. This is the only selection available. You
> cannot change the cell content, nor therefore select the input line, in a
> protected sheet, when cells are also protected.
> 
> Jacques

But then let's say you want to select only part of what shows in cell. Suppose the cell is a text saying "these are 4 words". I can copy-paste the whole text, therefore copying it is no issue from a security perspective. However, if I only want to copy "these are", then I need to paste the whole text elsewhere and select it again in there - instead, I could just select the part that I want, without modifying the cell, and copy that.
Comment 13 Timur 2019-07-02 10:48:08 UTC
Request is: Cannot select and copy text of protected cells via Formula Bar input line.
I can reproduce the behavior with 6.4+ but I'm not sure it should be confirmed. 
Text of protected cells can be copied from OO as a cell or later from LO via selection in edit mode (double click). 
I see no need to modify input line. My take is WontFix.
I add UX.